Loading...
Searching...
No Matches
BALL::RotateBond Class Reference

`#include <BALL/DOCKING/GENETICDOCK/rotateBond.h>`

## Public Member Functions

| RotateBond ()
| RotateBond (const RotateBond &)
| RotateBond (const Bond &)
| RotateBond (Atom *, Atom *)
| RotateBond (const Bond &, Atom *, Atom *)
| RotateBond (Atom *, Atom *, Atom *, Atom *)
| ~RotateBond ()
void | rotate (const Angle &, bool restorePosition=true)
void | setDihedral (const Angle &)
Angle | getDihedral ()
bool | operator< (const RotateBond &rb)

## Detailed Description

Definition at line 25 of file rotateBond.h.

## Constructor & Destructor Documentation

## RotateBond() [1/6]

BALL::RotateBond::RotateBond | ( |  | ) |

standard constructor

## RotateBond() [2/6]

BALL::RotateBond::RotateBond | ( | const RotateBond & |  | ) |

copy constructor

## RotateBond() [3/6]

BALL::RotateBond::RotateBond | ( | const Bond & |  | ) |

constructor using bond to define axis

## RotateBond() [4/6]

BALL::RotateBond::RotateBond | ( | Atom * | ,
|  | Atom * | )

define axis by atoms

## RotateBond() [5/6]

BALL::RotateBond::RotateBond | ( | const Bond & | ,
|  | Atom * | ,
|  | Atom * | )

define axis and 2 atoms for dihedral angle

## RotateBond() [6/6]

BALL::RotateBond::RotateBond | ( | Atom * | ,
|  | Atom * | ,
|  | Atom * | ,
|  | Atom * | )

define 2 axis and 2 dihedral atoms

## ~RotateBond()

BALL::RotateBond::~RotateBond | ( |  | ) |

destructor

## Member Function Documentation

## getDihedral()

Angle BALL::RotateBond::getDihedral | ( |  | ) |

get current dihedral angle

## operator<()

bool BALL::RotateBond::operator< | ( | const RotateBond & | rb | ) |

smaller operator

## rotate()

void BALL::RotateBond::rotate | ( | const Angle & | ,
|  | bool | restorePosition = true )

change dihedral angle

## setDihedral()

void BALL::RotateBond::setDihedral | ( | const Angle & |  | ) |

set dihedral angle to new value